Subject: Re: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Wed, 16 Jan 2013 02:11:01 +0400

On 16.01.2013 1:47, Paul Eggert wrote:
> On 01/15/13 13:38, Dmitry Gutov wrote:
>> If this is too bizarre, please wait until I re-confirm this on a new virtual machine with a different distro.
>
> It's strange all right: it indicates that time stamps
> are spontaneously jumping by 2 or more seconds, which I
> can't explain by any file system bugs that I can think of.
> Maybe it's a new class of bugs, but we'd need to know more
> about them.
>
> Could you please try instrumenting via this patch instead?
> It should help diagnosis.  Thanks.

Here you go:

fileio.c:5020: stat_mtime=1358287600.000000000
dired.c:958: stat_mtime=1358287604.023708900
fileio.c:5359: stat_mtime=1358287604.023708900
fileio.c:5359: stat_mtime=1358287604.023708900
dired.c:958: stat_mtime=1358287604.023708900
dired.c:958: stat_mtime=1358287604.023708900
dired.c:958: stat_mtime=1358287604.023708900
fileio.c:2200: stat_mtime=1358287604.023708900
fileio.c:5359: stat_mtime=1358287604.023708900
fileio.c:5020: stat_mtime=1358287610.000000000
dired.c:958: stat_mtime=1358287613.927966600
fileio.c:5359: stat_mtime=1358287613.927966600
fileio.c:5359: stat_mtime=1358287613.927966600
dired.c:958: stat_mtime=1358287613.927966600
dired.c:958: stat_mtime=1358287613.927966600
dired.c:958: stat_mtime=1358287613.927966600
fileio.c:2200: stat_mtime=1358287613.927966600
fileio.c:5359: stat_mtime=1358287613.927966600
fileio.c:5020: stat_mtime=1358287623.000000000
dired.c:958: stat_mtime=1358287626.880611400